Module java.base
Package java.util.concurrent

## Interface Delayed

All Superinterfaces:
  Comparable<Delayed>

All Known Subinterfaces:
  RunnableScheduledFuture<V>, ScheduledFuture<V>

    public interface Delayed
    extends Comparable<Delayed>

A mix-in style interface for marking objects that should be acted upon after a given delay.

An implementation of this interface must define a `compareTo` method that provides an ordering consistent with its `getDelay` method.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getDelay(TimeUnit unit)` Returns the remaining delay associated with this object, in the given time unit.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getDelay

    long getDelay(TimeUnit unit)

Returns the remaining delay associated with this object, in the given time unit.

Parameters:
  `unit` - the time unit
Returns:
  the remaining delay; zero or negative values indicate that the delay has already elapsed